//
//  AreteEarphoneRfidAppDelegate.m
//  AreteEarphoneRfid
//
//  Created by Asterisk on 13. 1. 25..
//  Copyright (c) 2013 Asterisk. All rights reserved.
//

#import "AreteRfidAppDelegate.h"
#import "Utility.h"


@implementation AreteRfidAppDelegate

//@synthesize window = _window;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    // Override point for customization after application launch.
    [[UIDevice currentDevice] beginGeneratingDeviceOrientationNotifications];
    
    static dispatch_once_t pred = 0;
    dispatch_once(&pred,^{
        [UIApplication redirectConsoleLogToDocumentFolder:@"rfid_log.txt"];
    });
    
    NSLog(@"didFinishLaunchingWithOptions");
    
    return YES;
}
							
- (void)applicationWillResignActive:(UIApplication *)application
{
    NSLog(@"applicationWillResignActive");
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    NSLog(@"applicationDidEnterBackground");
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    NSLog(@"applicationWillEnterForeground");
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    NSLog(@"applicationDidBecomeActive");
}

- (void)applicationWillTerminate:(UIApplication *)application
{  
    NSLog(@"applicationWillTerminate");
}

@end
