//
//  KillController.m
//  AretePop
//
//  Created by Asterisk on 13. 6. 20..
//
//

#import "KillController.h"
#import "Utility.h"

@interface KillController ()

@end

@implementation KillController
@synthesize rcp = _rcp;
@synthesize epc = _epc;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    
    self.rcp.delegate = self;
    self.olTargetEpc.text = [self.epc bytesToHexString];
}

- (IBAction)rightBarButtonItemClicked:(id)sender
{
    [self.olTargetEpc resignFirstResponder];
    
    NSString *hexaString = self.olKillPassword.text;
    NSScanner* pScanner = [NSScanner scannerWithString: hexaString];
    uint32_t killpassword;
    [pScanner scanHexInt: &killpassword];
    
    [self.rcp killTag:killpassword epc:self.epc];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)errReceived:(uint8_t)errCode
{
    NSString *strErrMsg = [NSString stringWithFormat:@"Error Code: %d", errCode];
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Error"
                                                    message:strErrMsg
                                                   delegate:nil
                                          cancelButtonTitle:@"OK"
                                          otherButtonTitles:nil];
    
    dispatch_async(dispatch_get_main_queue(),
                   ^{
                       [alert show];
                   });
}

- (void)viewDidUnload {
    [self setOlTargetEpc:nil];
    [self setOlKillPassword:nil];
    [super viewDidUnload];
}
@end
